# pgRouting Manual (2.5)

## pgr_version

## Name

`pgr_version` — Query for pgRouting version information.

## Synopsis

Returns a table with pgRouting version information.

    table() pgr_version();

## Description

Returns a table with:

Column | Type | Description
--- | --- | ---
version | `varchar` | pgRouting version
tag | `varchar` | Git tag of pgRouting build
hash | `varchar` | Git hash of pgRouting build
branch | `varchar` | Git branch of pgRouting build
boost | `varchar` | Boost version

History

- New in version 2.0.0

## Examples

- Query for full version string

    SELECT version FROM pgr_version();
     version
    ---------
     2.5.2
    (1 row)

- Query for `version` and `boost` attribute

    SELECT version, boost FROM pgr_version();

      version  | boost
    -----------+--------
     2.2.0-dev | 1.49.0
    (1 row)

## See Also

Indices and tables

- Index
- Search Page